package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * DeleteCallForwardingRules
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeleteCallForwardingRules   {
  @JsonProperty("ruleIds")
  @Valid
  private List<String> ruleIds = null;

  public DeleteCallForwardingRules ruleIds(List<String> ruleIds) {
    this.ruleIds = ruleIds;
    return this;
  }

  public DeleteCallForwardingRules addRuleIdsItem(String ruleIdsItem) {
    if (this.ruleIds == null) {
      this.ruleIds = new ArrayList<>();
    }
    this.ruleIds.add(ruleIdsItem);
    return this;
  }

  /**
   * Ids of call forwarding rules to be deleted.
   * @return ruleIds
  */
  @ApiModelProperty(value = "Ids of call forwarding rules to be deleted.")


  public List<String> getRuleIds() {
    return ruleIds;
  }

  public void setRuleIds(List<String> ruleIds) {
    this.ruleIds = ruleIds;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteCallForwardingRules deleteCallForwardingRules = (DeleteCallForwardingRules) o;
    return Objects.equals(this.ruleIds, deleteCallForwardingRules.ruleIds);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ruleIds);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteCallForwardingRules {\n");
    
    sb.append("    ruleIds: ").append(toIndentedString(ruleIds)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

